###################################################
### chunk number 1: 
###################################################
#line 96 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
options(width=75, prompt="R> ")
library("simFrame")
set.seed(1234)


###################################################
### chunk number 2: 
###################################################
#line 238 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
showMethods("setNA")


###################################################
### chunk number 3: 
###################################################
#line 402 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
nc <- NAControl(NArate = 0.05)
getNArate(nc)
setNArate(nc, c(0.01, 0.03, 0.05, 0.07, 0.09))
getNArate(nc)


###################################################
### chunk number 4: 
###################################################
#line 508 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
library("mvtnorm")
dc <- DataControl(size = 10, distribution = rmvnorm, dots = 
    list(mean = rep(0, 2), sigma = matrix(c(1, 0.5, 0.5, 1), 2, 2)))


###################################################
### chunk number 5: 
###################################################
#line 518 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
foo <- generate(dc)
foo


###################################################
### chunk number 6: 
###################################################
#line 723 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
data("eusilcP")
set <- setup(eusilcP, size = 10, k = 2)
summary(set)
set
draw(eusilcP[, c("id", "eqIncome")], set, i = 1)


###################################################
### chunk number 7: 
###################################################
#line 828 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
cc <- DARContControl(target = "V2", epsilon = 0.2, 
    fun = function(x) x * 100)


###################################################
### chunk number 8: 
###################################################
#line 846 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
bar <- contaminate(foo, cc)
bar


###################################################
### chunk number 9: 
###################################################
#line 964 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
nc <- NAControl(NArate = 0.3)


###################################################
### chunk number 10: 
###################################################
#line 973 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
setNA(bar, nc)


###################################################
### chunk number 11: 
###################################################
#line 1121 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
data("eusilcP")
sc <- SampleControl(size = 500, k = 50)
cc <- DARContControl(target = "eqIncome", epsilon = 0.02, 
    fun = function(x) x * 25)
sim <- function(x) {
    c(mean = mean(x$eqIncome), trimmed = mean(x$eqIncome, trim = 0.02))
}
set.seed(12345)
results <- runSimulation(eusilcP, sc, contControl = cc, fun = sim)


###################################################
### chunk number 12: 
###################################################
#line 1150 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
head(results)
aggregate(results)
tv <- mean(eusilcP$eqIncome)
tv


###################################################
### chunk number 13: 
###################################################
#line 1192 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
print(plot(results, true = tv))


###################################################
### chunk number 14: 
###################################################
#line 1195 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
print(simDensityplot(results, true = tv))


###################################################
### chunk number 15: 
###################################################
#line 1294 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
library("laeken")
data("eusilcP")
set.seed(12345)


###################################################
### chunk number 16: 
###################################################
#line 1304 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
set <- setup(eusilcP, design = "region", grouping = "hid", 
    size = c(75, 250, 250, 125, 200, 225, 125, 150, 100), k = 100)
#    size = c(75, 250, 250, 125, 200, 225, 125, 150, 100), k=3)


###################################################
### chunk number 17: 
###################################################
#line 1320 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
cc <- DCARContControl(target = "eqIncome", epsilon = 0.005, 
    grouping = "hid", dots = list(mean = 500000, sd = 10000))


###################################################
### chunk number 18: 
###################################################
#line 1329 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
sim <- function(x, k) {
    g <- gini(x$eqIncome, x$.weight)$value
    eqIncHill <- fitPareto(x$eqIncome, k = k, 
        method = "thetaHill", groups = x$hid)
    gHill <- gini(eqIncHill, x$.weight)$value
    eqIncPDC <- fitPareto(x$eqIncome, k = k, 
        method = "thetaPDC", groups = x$hid)
    gPDC <- gini(eqIncPDC, x$.weight)$value
    c(standard = g, Hill = gHill, PDC = gPDC)
}


###################################################
### chunk number 19: 
###################################################
#line 1346 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
results <- runSimulation(eusilcP, set, contControl = cc, 
    design = "gender", fun = sim, k = 125)


###################################################
### chunk number 20: 
###################################################
#line 1355 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
head(results)
aggregate(results)


###################################################
### chunk number 21: 
###################################################
#line 1364 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
tv <- simSapply(eusilcP, "gender", function(x) gini(x$eqIncome)$value)


###################################################
### chunk number 22: 
###################################################
#line 1371 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
print(plot(results, true = tv, xlab = "Gini coefficient"))


###################################################
### chunk number 23: 
###################################################
#line 1437 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
library("robCompositions")
library("mvtnorm")
set.seed(12345)


###################################################
### chunk number 24: 
###################################################
#line 1469 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
crnorm <- function(n, mean, sigma) invilr(rmvnorm(n, mean, sigma))
sigma <- matrix(c(1, -0.5, 1.4, -0.5, 1, -0.6, 1.4, -0.6, 2), 3, 3)
dc <- DataControl(size = 150, distribution = crnorm, 
    dots = list(mean = c(0, 2, 3), sigma = sigma))


###################################################
### chunk number 25: 
###################################################
#line 1480 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
nc <- NAControl(NArate = 0.05)


###################################################
### chunk number 26: 
###################################################
#line 1488 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
sim <- function(x, orig) {
    i <- apply(x, 1, function(x) any(is.na(x)))
    ni <- length(which(i))
    xKNNa <- impKNNa(x)$xImp
    xLS <- impCoda(x, method = "lm")$xImp
    c(knn = aDist(xKNNa, orig)/ni, LS = aDist(xLS, orig)/ni)
}


###################################################
### chunk number 27: 
###################################################
#line 1500 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
results <- runSimulation(dc, nrep = 50, NAControl = nc, fun = sim)
#results <- runSimulation(dc, nrep = 6, NAControl = nc, fun = sim)


###################################################
### chunk number 28: 
###################################################
#line 1508 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
head(results)
aggregate(results)


###################################################
### chunk number 29: 
###################################################
#line 1517 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
print(plot(results, xlab = "Relative Aitchison distance"))


###################################################
### chunk number 30: 
###################################################
#line 1520 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
alpha <- if(names(dev.cur()) == "pdf") 0.6 else 1
print(simDensityplot(results, alpha = alpha, xlab = "Relative Aitchison distance"))


###################################################
### chunk number 31: 
###################################################
#line 1561 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
cl <- makeCluster(4, type="SOCK")


###################################################
### chunk number 32: 
###################################################
#line 1568 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
clusterEvalQ(cl, {
        library("simFrame")
        library("robCompositions")
        library("mvtnorm")
    })


###################################################
### chunk number 33: 
###################################################
#line 1578 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
clusterSetupRNG(cl, seed=12345)


###################################################
### chunk number 34: 
###################################################
#line 1587 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
crnorm <- function(n, mean, sigma) invilr(rmvnorm(n, mean, sigma))
sigma <- matrix(c(1, -0.5, 1.4, -0.5, 1, -0.6, 1.4, -0.6, 2), 3, 3)
dc <- DataControl(size = 150, distribution = crnorm, 
    dots = list(mean = c(0, 2, 3), sigma = sigma))
nc <- NAControl(NArate = c(0.01, 0.03, 0.05, 0.07, 0.09))
sim <- function(x, orig) {
    i <- apply(x, 1, function(x) any(is.na(x)))
    ni <- length(which(i))
    xKNNa <- impKNNa(x)$xImp
    xLS <- impCoda(x, method = "lm")$xImp
    c(knn = aDist(xKNNa, orig)/ni, LS = aDist(xLS, orig)/ni)
}


###################################################
### chunk number 35: 
###################################################
#line 1607 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
clusterExport(cl, c("crnorm", "sigma", "dc", "nc", "sim"))


###################################################
### chunk number 36: 
###################################################
#line 1613 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
results <- clusterRunSimulation(cl, dc, nrep = 50, NAControl = nc, fun = sim)
#results <- clusterRunSimulation(cl, dc, nrep = 2, NAControl = nc, fun = sim)


###################################################
### chunk number 37: 
###################################################
#line 1621 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
stopCluster(cl)


###################################################
### chunk number 38: 
###################################################
#line 1629 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
head(results)
aggregate(results)


###################################################
### chunk number 39: 
###################################################
#line 1637 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
print(plot(results, ylab = "Relative Aitchison distance"))


###################################################
### chunk number 40: 
###################################################
#line 1640 "d:/Rcompile/CRANpkg/local/2.12/simFrame/inst/doc/simFrame-intro.Rnw"
alpha <- if(names(dev.cur()) == "pdf") 0.6 else 1
print(simDensityplot(results, NArate=0.07, 
        alpha = alpha, xlab = "Relative Aitchison distance"))


